package com.nexirius.theteam.layout;

import com.nexirius.framework.command.*;
import com.nexirius.framework.datamodel.*;
import com.nexirius.framework.dataeditor.*;
import com.nexirius.framework.dataviewer.*;
import com.nexirius.framework.layout.*;


public class MemberLayout extends TabbedLayoutItem
{
	int offsetx = 10;
	int offsety = 20;

	public MemberLayout()
	{
		append(new TabLayoutItem("Person", offsetx, offsety, 0, 0, null, null, false, "Person", "person.icon"));
		append(new TabLayoutItem("AddressList", offsetx, offsety, 0, 0, null, null, false, "AdressList", "address.icon"));
		append(new TabLayoutItem("PhoneList", offsetx, offsety, 0, 0, null, null, false, "PhoneList", "phone.icon"));
		append(new TabLayoutItem(null, offsetx, offsety, 0, 0, new StructEditorCreator(), new TypeLayout(), false, "type", "type.icon"));
//		append(new TabLayoutItem("Account", offsetx, offsety, 0, 0, null, null, false, "Account", "account.icon"));
//		append(new TabLayoutItem("Example", offsetx, offsety, 0, 0,  new StructEditorCreator(), new ExampleLayout(), false, "Example", "example.icon"));
	}
}
/*
public class MemberLayout extends StandardLayout
{
	public MemberLayout()
	{
		this.appendField("Person", 40, 20);
		this.appendField("AddressList;AddItem", 40, 3);
	}
}
*/

