package com.nexirius.theteam.layout;

import com.nexirius.framework.command.*;
import com.nexirius.framework.datamodel.*;
import com.nexirius.framework.dataeditor.*;
import com.nexirius.framework.dataviewer.*;
import com.nexirius.framework.layout.*;

public class BillLayout extends StandardLayout
{
	public BillLayout()
	{
		init(wframe);
	}

	public BillLayout(double w)
	{
		init(w);
	}

	private void init(double w)
	{
		setWFrame(w);
		append(new StructureFieldLayout("Address", x, y, 0, 0, null, null, false));
		down(5*hlabel);

		appendFrame("Bill", 2.0);
		appendTextField("date");
		appendTextField("title");
		endFrame();

		append(new StructureFieldLayout("BillPosList", x, y, 0, 0, null, new EditListLayout(w, 7*hlabel, "BillPositions", "BillPosArray", null), false));
		down(7*hlabel);

		defaultSize();
	}
}

