package com.nexirius.theteam.layout;

import com.nexirius.framework.command.*;
import com.nexirius.framework.datamodel.*;
import com.nexirius.framework.dataeditor.*;
import com.nexirius.framework.dataviewer.*;
import com.nexirius.framework.layout.*;


public class EditListLayout extends StandardLayout
{
	public EditListLayout(double width, double height, String title, String listName, TableLayoutItem listLayout)
	{
		if (width <= 0.0) {
			width = wframe;
		}

		setWFrame(width);

		double tableWidth = wframe;
		double tableHeight = height - 1 - hbutton;

		append(new StructureFieldLayout(listName, x, y, w(tableWidth), h(tableHeight), null, listLayout, false, null, null));
		down(tableHeight);
		down(1);

		double wb = tableWidth / 3;

		appendButtonRight("AddItem", wb);
		appendButtonRight("EditItem", wb);
		appendButtonRight("DeleteItem", wb);
		down(hbutton);
		left(tableWidth);

		defaultSize();
	}
}
